#include "sd_hw_ctl.h"
#include "../DigitalIO.h"
#include "../define.h"
#include <stdbool.h>

void SD_SPIConfigurePins (void)
{
    SD_SPI_SDI_PIN_DIR	= PIN_INPUT;
    SD_SPI_CS_PIN_DIR = PIN_OUTPUT;
    SD_SPI_SDO_PIN_DIR = PIN_OUTPUT;
    SD_SPI_SCK_PIN_DIR	= PIN_OUTPUT;
}
void SD_SPISetChipSelect(unsigned int a)
{
    if(a == 0)
    {
        SD_SPI_CS_PIN = 0;
    }
    else
    {
        SD_SPI_CS_PIN = 1;
    }
}
bool SD_GetCardDetect(void)
{
    return false;
}
bool SD_GetWriteProtect(void)
{
    return false;
}

